# Record Class CJ1CommandItemMetadataRemove

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1CommandItemMetadataRemove

All Implemented Interfaces:
  `CJ1CommandType`, `CJ1MessageType`, `CJ1ValueType`

@JsonClassDescription("Remove metadata from an item.") public record CJ1CommandItemMetadataRemove(UUID item, Set<CJ1TypeRecordFieldIdentifier> metadataNames) extends Record implements CJ1CommandType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1CommandItemMetadataRemove(UUID item, Set<CJ1TypeRecordFieldIdentifier> metadataNames)`
  Creates an instance of a `CJ1CommandItemMetadataRemove` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `item()`
  Returns the value of the `item` record component.
  `Set<CJ1TypeRecordFieldIdentifier>`
  `metadataNames()`
  Returns the value of the `metadataNames` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1CommandItemMetadataRemove

    public CJ1CommandItemMetadataRemove(@JsonPropertyDescription("The item ID.") UUID item, @JsonPropertyDescription("The item metadata names.") Set<CJ1TypeRecordFieldIdentifier> metadataNames)
    Creates an instance of a `CJ1CommandItemMetadataRemove` record class.
    Parameters:
      `item` - the value for the `item` record component
      `metadataNames` - the value for the `metadataNames` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### item

    @JsonPropertyDescription("The item ID.") public UUID item()
    Returns the value of the `item` record component.
    Returns:
      the value of the `item` record component

  - ### metadataNames

    @JsonPropertyDescription("The item metadata names.") public Set<CJ1TypeRecordFieldIdentifier> metadataNames()
    Returns the value of the `metadataNames` record component.
    Returns:
      the value of the `metadataNames` record component